Opened 8 years ago

Closed 5 years ago

#1291 closed defect (wontfix)

bad config database results in unclean shutdown

Reported by: jreed Owned by:
Priority: medium Milestone: Remaining BIND10 tickets
Component: Unclassified Version: bind10-old
Keywords: Cc:
CVSS Scoring: Parent Tickets:
Sensitive: no Defect Severity: Low
Sub-Project: Core Feature Depending on Ticket:
Estimated Difficulty: 0 Add Hours to Ticket: 0
Total Hours: 0 Internal?: no

Description

I made a mistake in my config database (removed starting brace). This resulted in:

2011-10-11 14:44:14.197 INFO  [b10-boss.boss] BIND10_STARTING_PROCESS starting process b10-cfgmgr
2011-10-11 14:44:14.698 FATAL [b10-cfgmgr.cfgmgr] CFGMGR_DATA_READ_ERROR error reading configuration database from disk: Configuration file out of date or corrupt, please update or remove /home/reed/work/isc/bind10-install/var/bind10-devel/b10-config.db
2011-10-11 14:44:14.725 INFO  [b10-boss.boss] BIND10_STARTING_PROCESS starting process ccsession
2011-10-11 14:44:18.767 INFO  [b10-boss.boss] BIND10_KILLING_ALL_PROCESSES killing all started processes
2011-10-11 14:44:18.768 WARN  [b10-boss.boss] BIND10_SOCKCREATOR_KILL killing the socket creator
2011-10-11 14:44:18.769 INFO  [b10-boss.boss] BIND10_KILL_PROCESS killing process b10-cfgmgr
Traceback (most recent call last):
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/cc/session.py", line 203, in _receive_full_buffer
    self._receive_len_data()
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/cc/session.py", line 163, in _receive_len_data
    new_data = self._receive_bytes(self._recv_len_size)
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/cc/session.py", line 149, in _receive_bytes
    data = self._socket.recv(size)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/config/ccsession.py", line 322, in add_remote_config
    answer, env = self._session.group_recvmsg(False, seq)
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/cc/session.py", line 266, in group_recvmsg
    env, msg  = self.recvmsg(nonblock, seq)
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/cc/session.py", line 121, in recvmsg
    data = self._receive_full_buffer(nonblock)
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/cc/session.py", line 218, in _receive_full_buffer
    raise SessionTimeout("recv() on cc session timed out")
isc.cc.session.SessionTimeout: recv() on cc session timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./sbin/bind10", line 682, in startup
    self.start_all_processes()
  File "./sbin/bind10", line 618, in start_all_processes
    self.start_ccsession(c_channel_env)
  File "./sbin/bind10", line 501, in start_ccsession
    self.command_handler)
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/config/ccsession.py", line 188, in __init__
    default_logconfig_handler)
  ile "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/config/ccsession.py", line 326, in add_remote_config
    module_name)
isc.config.ccsession.ModuleCCSessionError: No answer from ConfigManager when asking about Remote module Logging

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./sbin/bind10", line 1087, in <module>
    main()
  File "./sbin/bind10", line 1036, in main
    startup_result = boss_of_bind.startup()
  File "./sbin/bind10", line 684, in startup
    self.kill_started_processes()
  File "./sbin/bind10", line 382, in kill_started_processes
    self.processes[pid].process.kill()
  File "/usr/pkg/lib/python3.1/subprocess.py", line 1337, in kill
    self.send_signal(signal.SIGKILL)
  File "/usr/pkg/lib/python3.1/subprocess.py", line 1327, in send_signal
    os.kill(self.pid, sig)
OSError: [Errno 3] No such process

Also left running:

root    13671  0.0  1.2  22568  12100 ttyp7 S     2:44PM  0:00.49 /usr/pkg/bin/python3.1 /home/reed/work/isc/bind10-install/libexec/bind10-devel/b10-msgq

Subtickets

Change History (4)

comment:1 Changed 8 years ago by shane

  • Defect Severity changed from N/A to Low
  • Milestone changed from New Tasks to Year 3 Task Backlog

comment:2 Changed 8 years ago by jreed

Need to check this again. Maybe backtrace is not shown now.

comment:3 Changed 5 years ago by tomek

  • Milestone set to Remaining BIND10 tickets

comment:4 Changed 5 years ago by tomek

  • Resolution set to wontfix
  • Status changed from new to closed
  • Version set to old-bind10

This issue is related to bind10 code that is no longer part of Kea.

If you are interested in BIND10/Bundy framework or its DNS components,
please check http://bundy-dns.de.

Closing ticket.

Note: See TracTickets for help on using tickets.